JumpDiffusionEngine Class Reference
Pricing engines » Vanilla option engines

Jump-diffusion engine for vanilla options. More...

`#include <ql/pricingengines/vanilla/jumpdiffusionengine.hpp>`

Inherits engine.

## Public Member Functions

| JumpDiffusionEngine (const boost::shared_ptr< Merton76Process > &, Real relativeAccuracy_=1e-4, Size maxIterations=100)
void | calculate () const

## Detailed Description

Jump-diffusion engine for vanilla options.

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.